Download CSV Job Results

Returns a presigned download URL for the completed job's results CSV.

The results file is your original CSV with an additional column appended containing the Allegrow validation status for each email.

The download URL expires after 1 hour. If it expires, call this endpoint again to generate a new URL.

This endpoint is only available once the job status is completed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a presigned download URL for the completed job's results CSV.

This endpoint is only available once the job status is completed. If the job is still processing, you'll receive a 400 error.

Response

FieldDescription
jobIdUnique identifier of the validation job
downloadUrlPresigned URL to download the results CSV
expiresInSeconds until the download URL expires (3600 = 1 hour)
formatFile format (csv)

Results File Format

The results file is your original CSV with an additional column appended containing the Allegrow validation status for each email address. All original data is preserved.

Download the file with a simple GET request:

curl -o results.csv "DOWNLOAD_URL_FROM_RESPONSE"

Download URL Expiry

The download URL expires after 1 hour. If it expires, simply call this endpoint again to generate a new URL. You can generate new download URLs as many times as needed.

Path Params
uuid
required

The job ID returned when the job was created

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json